document_id stringlengths 8 12 | document stringlengths 50 3.21k | split stringclasses 1
value |
|---|---|---|
d_bash_5300 | ---
+++
@@ -26,6 +26,7 @@
do
if [ $extension_id = "atom-commons" ]; then
# skip commons package
+ echo "Skipping $extension_id"
else
cd $atom_sources/$extension_id
echo "Should update version of $extension_id to $version" | bash |
d_bash_5301 | ---
+++
@@ -17,3 +17,5 @@
rm -f /etc/default/gophernicus
cp $DIR/hn-gopher/opt/gophernicus_*/gophernicus.env /etc/default/gophernicus
+
+touch /var/tmp/gopher-counter | bash |
d_bash_5302 | ---
+++
@@ -8,13 +8,17 @@
elif type -p gls &> /dev/null; then
alias ls='gls --color=auto'
gls --color=auto $@
- elif command ls --color -d / . &>/dev/null; then
+ elif command ls --color -d / &> /dev/null; then
alias ls='ls --color=auto'
command ls --color=auto $@
+ e... | bash |
d_bash_5303 | ---
+++
@@ -10,7 +10,7 @@
RELEASE_DIR=out/distrib_$1
KF_SERVER=isora.oderland.com
KF_USER=makewav1
-KF_RELEASES_DIR=public_html-knopflerfish.org/releases/
+KF_RELEASES_DIR=public_html-knopflerfish.org/releases
SSH_OPT="StrictHostKeyChecking no"
if [ ! -d "$RELEASE_DIR" ] ; then
@@ -19,7 +19,7 @@
fi
echo "U... | bash |
d_bash_5304 | ---
+++
@@ -7,9 +7,7 @@
vagrant="salttest"
;;
ansible)
- vagrant="ansible"
- echo "Ansible tests not implemented just yet"
- exit 0
+ vagrant="ansibletest"
;;
*)
echo "Invalid test type (salt or ansible only)"
@@ -53,9 +51,9 @@
# Bring up VM and provision, save ssh key for tests and run tests
#
... | bash |
d_bash_5305 | ---
+++
@@ -1,3 +1,11 @@
pathmunge ~/.rbenv/bin before
pathmunge ~/.rbenv/shims before
if which rbenv > /dev/null; then eval "$(rbenv init -)"; fi
+
+# This function is useful if you have installed ruby-build as a rbenv plugin using Git
+function rbenv-update-versions {
+ # Update the ruby-build plugin repo
+ gi... | bash |
d_bash_5306 | ---
+++
@@ -8,11 +8,7 @@
set -ex
-guests=$(vagrant status | grep vmware | awk '{print $1}')
-for guest in ${guests}
-do
- vagrant up ${guest} --no-provision
-done
+vagrant up --no-provision
set +e
declare -A pids | bash |
d_bash_5307 | ---
+++
@@ -5,5 +5,7 @@
synclient HorizTwoFingerScroll=1 VertTwoFingerScroll=1 EmulateTwoFingerMinZ=40 EmulateTwoFingerMinW=8 2>/dev/null
# Palm rejection
synclient PalmDetect=1 PalmMinWidth=6 PalmMinZ=100 2>/dev/null
+ # Tap with 3 finger emulates middle click
+ synclient ClickFinger3=2 2>/dev/n... | bash |
d_bash_5308 | ---
+++
@@ -1,9 +1,20 @@
# zaw source for ack/ag searcher
+
+if (( $+commands[ag] )); then
+ ZAW_SEARCHER_CMD="ag"
+elif (( $+commands[ack-grep] )); then
+ ZAW_SEARCHER_CMD="ack-grep"
+elif (( $+commands[ack] )); then
+ ZAW_SEARCHER_CMD="ack"
+else
+ # ack/ag are not found, and disable this source
+ r... | bash |
d_bash_5309 | ---
+++
@@ -38,8 +38,8 @@
cp rsrc/docbook-schemas-cxan.xml "$dest/cxan.xml"
cp "$src/docbook.nvdl" "$dest/content/"
cp "$src/sch/docbook.sch" "$dest/content/"
-cp -R "$src/rng/" "$dest/content/"
-cp -R "$src/xsd/" "$dest/content/"
+cp -R "$src/rng" ... | bash |
d_bash_5310 | ---
+++
@@ -16,18 +16,18 @@
remote_repository="hashicorp/vagrant-installers"
fi
-echo "Updating repository origin to mirror repository `${remote_repository}`..."
-wrap git remote set-url origin "https://${HASHIBOT_USERNAME}:${HASHIBOT_TOKEN}@github.com/${remote_repository}" \
- "Failed to update repositor... | bash |
d_bash_5311 | ---
+++
@@ -22,3 +22,13 @@
BRANCH_NAME=$(git rev-parse --abbrev-ref HEAD)
git push --force staging $BRANCH_NAME:master
}
+
+# Remove a specific history from the history
+#
+# Usage:
+#
+# git-rm <commit SHA>
+#
+git-rm() {
+ git rebase --onto $1^ $1
+} | bash |
d_bash_5312 | ---
+++
@@ -1,11 +1,15 @@
#!/usr/bin/env bash
-gem install bundler
-bundle install
+if [ "$TRAVIS_PULL_REQUEST" != "false" ]; then
+ gem install bundler
+ bundle install
-bundle exec hatchet install &&
-HATCHET_RETRIES=3 \
-HATCHET_DEPLOY_STRATEGY=git \
-HATCHET_BUILDPACK_BASE="https://github.com/heroku/heroku... | bash |
d_bash_5313 | ---
+++
@@ -25,6 +25,7 @@
python3.5 -m pip install cython setuptools wheel
python3.6 -m pip install cython setuptools wheel
python3.7 -m pip install cython setuptools wheel
+python3.8 -m pip install cython setuptools wheel
# needed to build ruby artifacts
time bash tools/distrib/build_ruby_environment_macos.sh | bash |
d_bash_5314 | ---
+++
@@ -3,10 +3,16 @@
set -e
source $DOTFILES_ROOT/util/common.sh
+eval "$(rbenv init -)"
+
install_ruby_versions() {
for version in $(find $1 -name .ruby-version -maxdepth 2 | xargs cat | sort | uniq); do
step "Installing ruby version $version"
rbenv install --skip-existing $version
+... | bash |
d_bash_5315 | ---
+++
@@ -5,4 +5,4 @@
MAC=$3
IP=$4
-echo $1 $2 $3 $4
+tc qdisc delete dev $IFNAME ingress 2> /dev/null | bash |
d_bash_5316 | ---
+++
@@ -1,6 +1,5 @@
#!/usr/bin/env bash
-NODE_ENV=production
BRANCH=gh-pages # Branch to deploy to, probably gh-pages
DIST_DIR=docs # Location of build static files to deploy
DEPLOY_DIR=site_deploy/ # Temp directory to clone to during deployment | bash |
d_bash_5317 | ---
+++
@@ -12,6 +12,7 @@
alias bsr='brew search'
alias binf='brew info'
alias bdr='brew doctor'
+alias bed='brew edit'
alias bcin='brew-cask install'
alias bcrm='brew-cask uninstall'
alias bcsr='brew-cask search' | bash |
d_bash_5318 | ---
+++
@@ -1,4 +1,4 @@
-#!/bin/sh
+#!/bin/bash
# Installs dmenu_extended_cache_build as a systemd service to be executed every 20 minutes
# Process command line arguments
@@ -34,6 +34,6 @@
mkdir -p $SCRIPT_PATH
fi
-echo "Installing systemd service in $SCRIPT_PATH..."
+echo "Installing systemd service in $S... | bash |
d_bash_5319 | ---
+++
@@ -1 +1,8 @@
-eval "$(/opt/homebrew/bin/brew shellenv)"
+# Search for Homebrew in its preferred locations:
+# https://docs.brew.sh/Installation
+for prefix in "/opt/homebrew" "/usr/local"; do
+ if [ -x "$prefix/bin/brew" ]; then
+ eval "$($prefix/bin/brew shellenv)"
+ break
+ fi
+done | bash |
d_bash_5320 | ---
+++
@@ -1,6 +1,6 @@
#!/bin/bash
perl $GCA_TOOLS/literature_mining/scripts/literature_mining.ebisc.pl -user $IMS_USER -pass $IMS_PASS -outfile /nfs/production/reseq-info/work/rseqpipe/literature_mining_IDs/ebisc.tsv \
-&& perl $GCA_TOOLS/literature_mining/scripts/literature_mining.hipsci.pl \
-&& perl $GCA_TOO... | bash |
d_bash_5321 | ---
+++
@@ -24,8 +24,14 @@
# Main Program
#
+NICE=nice
+if [ -x /usr/bin/ionice ] ; then
+ _debug "Using ionice"
+ NICE="$nice ionice -c idle"
+fi
+
FQDN="$(hostname)"
-$PERLTEST_DIR/config/$FQDN
+$NICE $PERLTEST_DIR/config/$FQDN
# $PERLTEST_DIR/bin/pt_watchdog.sh
| bash |
d_bash_5322 | ---
+++
@@ -1,4 +1,10 @@
#!/bin/sh
+
+test -n "$srcdir" || srcdir=`dirname "$0"`
+test -n "$srcdir" || srcdir=.
+
+olddir=`pwd`
+cd "$srcdir"
# run gtkdocize
gtkdocize || exit 1
@@ -7,5 +13,8 @@
# gnome-autogen.sh runs configure, so do likewise.
autoreconf -vif
-test -n "$NOCONFIGURE" || ./configure "$@"
+... | bash |
d_bash_5323 | ---
+++
@@ -6,7 +6,7 @@
header "exporting $url (rev $rev) into $out"
-$fetcher --builder --url "$url" --out "$out" --rev "$rev" \
+$SHELL $fetcher --builder --url "$url" --out "$out" --rev "$rev" \
${leaveDotGit:+--leave-dotGit} \
${deepClone:+--deepClone} \
${fetchSubmodules:+--fetch-submodules} \ | bash |
d_bash_5324 | ---
+++
@@ -22,9 +22,9 @@
fi
# Python 2.6 compatibility
-if $(grep -q '{}.*format' */*.py); then
+if $(grep -q -E '\{[^0-9].*format' */*.py); then
echo "Issues with Python 2.6 compatibility:"
- grep '{}.*format' */*.py
+ grep -E '\{[^0-9].*format' */*.py
exit 1
fi
if $(grep -q -E 'unittest\.skip... | bash |
d_bash_5325 | ---
+++
@@ -4,9 +4,18 @@
FOUND=`kldstat -v | egrep 'linux(aout|elf)'`
+exitcode=0
+
if [ "x$FOUND" != x ] ; then
echo Linux driver already loaded
- exit 1
+ exitcode=1
else
kldload linux
+ exitcode=$?
fi
+
+if [ -f /compat/linux/sbin/ldconfig ... | bash |
d_bash_5326 | ---
+++
@@ -2,6 +2,26 @@
KERNELGCCVERSION=$(cat /proc/version | awk '{print $9}' | awk 'BEGIN {FS="."} {print $1"."$2}')
NVIDIAINSTALLER='./'$(ls -t | grep NVIDIA | head -1)
+
+# Options
+NVBLOGOUT=
+NVBUNINSTALL=
+NVBSILENT=
+
+while getopts lus o
+do
+ case "$o" in
+ l)
+ NVBLOGOUT='y'
+ ... | bash |
d_bash_5327 | ---
+++
@@ -2,7 +2,8 @@
set -e -u -x
source $(dirname $0)/common.sh
repository=$(pwd)/distribution-repository
-chown gradle:gradle -R ./sagan-site-repo
+mkdir -p ${repository}
+chown gradle:gradle -R ./sagan-site-repo ${repository}
pushd sagan-site-repo > /dev/null
su gradle -c "./gradlew --console plain -Dorg.g... | bash |
d_bash_5328 | ---
+++
@@ -1,6 +1,6 @@
#!/bin/sh
ROCKSDB_DIR=c_src/rocksdb
-ROCKSDB_TAG=v5.4.5
+ROCKSDB_TAG=v5.6.1
if [ ! -d ${ROCKSDB_DIR} ]; then
# Control will enter here if rocksdb doesn't exist. | bash |
d_bash_5329 | ---
+++
@@ -1,25 +1,40 @@
#!/bin/bash
-#Purpose = Backup wordpress directory to tar.gz and database to gz then upload to S3/DreamObjects
-#Created on 2016-05-04
-#Author = Jed White
-#Version 1.0
-#START
-TIME=`date +%b-%d-%y` # Include date in filename
-FILENAME=backup-$TIME.tar.gz # filename format
-... | bash |
d_bash_5330 | ---
+++
@@ -6,6 +6,7 @@
alias gd='git diff'
alias gu='gitup'
alias git-delete-squashed='git checkout -q master && git for-each-ref refs/heads/ "--format=%(refname:short)" | while read branch; do mergeBase=$(git merge-base master $branch) && [[ $(git cherry master $(git commit-tree $(git rev-parse $branch^{tree}) -... | bash |
d_bash_5331 | ---
+++
@@ -14,13 +14,14 @@
exit
fi
-if [[ $1 != harbour-* ]]
+newname=$1
+if [[ $newname != harbour-* ]]
then
echo Your new app name MUST start with \"harbour-\"
exit
fi
-echo Replacing "harbour-helloworld-pro-sailfish" with "$1"
+echo Replacing "harbour-helloworld-pro-sailfish" with "$newname"
# it... | bash |
d_bash_5332 | ---
+++
@@ -5,7 +5,24 @@
cd /home/pi/odoo
localbranch=$(git symbolic-ref -q --short HEAD)
localremote=$(git config branch.$localbranch.remote)
+
+echo "addons/point_of_sale/tools/posbox/overwrite_after_init/home/pi/odoo" >> .git/info/sparse-checkout
+
git fetch "${localremote}" "${localbranch}" --depth=1
git res... | bash |
d_bash_5333 | ---
+++
@@ -7,4 +7,17 @@
chmod 755 /var/log/kolla/heat
fi
+# Assume the service runs on top of Apache when user is root
+if [[ $USER == 'root' ]]; then
+ # NOTE(pbourke): httpd will not clean up after itself in some cases which
+ # results in the container not being able to restart. (bug #1489676, 15570... | bash |
d_bash_5334 | ---
+++
@@ -9,14 +9,6 @@
* ) echo "Exiting..."; exit 1;;
esac
-read -p "Create wmfo_webmaster user? [y/n/drop] " yn
-case $yn in
- [Yy]* ) echo "Creating user..."; createuser wmfo_webmaster -d -P; createdb wmfo_webmaster;;
- drop ) dropdb wmfo_webmaster; dropdb wmfo_db; dropuser wmfo_webmaster; exit 0 ;... | bash |
d_bash_5335 | ---
+++
@@ -1,7 +1,11 @@
#!/bin/sh
+# The count and reordering of fields can be found in the 'suniq.sh' script
+# in the <https://github.com/anisotropi4/goldfinch> repository
+
echo "Type Count" > StopTypes.tsv
-< StopPoint.ndjson jq -c -r '.StopClassification.StopType' | ./suniq.sh >> StopTypes.tsv
+< StopPoint.... | bash |
d_bash_5336 | ---
+++
@@ -11,11 +11,13 @@
antigen use oh-my-zsh
# Load oh-my-zsh plugins
-antigen bundle git
-antigen bundle npm
-antigen bundle sudo
-antigen bundle zsh-users/zsh-syntax-highlighting
-antigen bundle unixorn/autoupdate-antigen.zshplugin
+antigen bundles <<EOBUNDLES
+ git
+ npm
+ sudo
+ zsh-users/zsh-syntax-... | bash |
d_bash_5337 | ---
+++
@@ -20,6 +20,9 @@
drush hostmaster-install $HOSTNAME --aegir_db_host=database --aegir_db_pass=$MYSQL_ROOT_PASSWORD --aegir_db_port=3306 --aegir_db_user=root --aegir_host=$HOSTNAME -y
+# Output a login link. If hostmaster is already installed, `drush hostmaster-install` doesn't give us a link.
+drush @hos... | bash |
d_bash_5338 | ---
+++
@@ -8,6 +8,11 @@
GH_REPO="$(echo ${TRAVIS_REPO_SLUG} | cut -d '/' -f 2)"
NAME="v${VERSION}-${BRANCHNAME}.${PRERELEASEINFO}+b${BUILDNAME}"
+if $(github-release info --user "${GH_USER}" --repo "${GH_REPO}" --tag "v${VERSION}"); then
+ echo "The tag v${VERSION} already exists"
+ exit 1
+fi
+
echo "Cre... | bash |
d_bash_5339 | ---
+++
@@ -4,7 +4,7 @@
./deploy_stack.sh --no-auth
-docker service update func_gateway --image=functions/gateway:latest-dev
+docker service update func_gateway --image=openfaas/gateway:latest-dev
# Script makes sure OpenFaaS API gateway is ready before running tests
| bash |
d_bash_5340 | ---
+++
@@ -10,13 +10,13 @@
set -e
+header 'Linter'
+scripts/run-linter.sh
+
if ! curl -s 'http://localhost:9222' >/dev/null; then
echo 'Start Chrome with "--remote-debugging-port=9222"'
false
fi
-
-header 'Linter'
-scripts/run-linter.sh
header 'Node.js: (default)'
run-suite | bash |
d_bash_5341 | ---
+++
@@ -1,4 +1,4 @@
-VERSION=1.5
+VERSION=1.13
JAR_PATH=commons-compress-${VERSION}/commons-compress-${VERSION}.jar
URL=http://www.us.apache.org/dist/commons/compress/binaries/commons-compress-${VERSION}-bin.tar.gz
| bash |
d_bash_5342 | ---
+++
@@ -24,6 +24,7 @@
alias cu='composer update'
alias ci='composer install'
alias ccp='composer create-project'
+alias cdu='composer dump-autoload'
# install composer in the current directory
alias cget='curl -s https://getcomposer.org/installer | php' | bash |
d_bash_5343 | ---
+++
@@ -1,2 +1,2 @@
#!/bin/bash
-docker run -d -p 80:8080 -e NODE_ENV=production --link palindromer-mongo --restart=always seanreece/palindromer-node-cent
+docker run -d -p 80:8080 -e NODE_ENV=production --link palindromer-mongo:palindromer-mongo --restart=always seanreece/palindromer | bash |
d_bash_5344 | ---
+++
@@ -1,4 +1,5 @@
### Assert licenses are available
+cp $RECIPE_DIR/Cargo.lock .
# Install cargo-license
export CARGO_HOME="$BUILD_PREFIX/cargo"
mkdir $CARGO_HOME | bash |
d_bash_5345 | ---
+++
@@ -9,5 +9,5 @@
export VISUAL="$EDITOR"
alias q="$EDITOR"
-alias qv="q $DOTFILES/link/.{,g}vimrc"
+alias qv="q $DOTFILES/link/.{,g}vimrc +'cd $DOTFILES/link'"
alias qs="q +'cd $DOTFILES'" | bash |
d_bash_5346 | ---
+++
@@ -11,3 +11,8 @@
## Readline
INPUTRC=${XDG_CONFIG_HOME}/readline/inputrc
+
+## Jupyter/ipython
+export IPYTHONDIR="${XDG_CONFIG_HOME}"/jupyter
+export JUPYTER_CONFIG_DIR="${XDG_CONFIG_HOME}"/jupyter
+mkdir -p ${IPYTHONDIR} ${JUPYTER_CONFIG_DIR} | bash |
d_bash_5347 | ---
+++
@@ -1,2 +1,3 @@
#!/bin/sh
+mkdir -pv "$HOME/bin"
find "$PWD"/bin -type f -print0 | xargs -0 -I SCRIPT ln -v -f -s SCRIPT "$HOME"/bin | bash |
d_bash_5348 | ---
+++
@@ -7,10 +7,18 @@
TARG="/etc/sysctl.d/60-core.conf"
+mkdir -p /tmp/cores
+chmod a+rwx /tmp/cores
+
+if [ "$?" -ne 0 ]; then
+ echo "Can't chmod /tmp/cores, maybe try as root? Aborting" >&2
+ exit 1
+fi
+
cat > "$TARG" << EOL
# This file was created by `readlink -f "$0"` at `date "+%F %T %... | bash |
d_bash_5349 | ---
+++
@@ -15,6 +15,7 @@
done
chown -R nobody /var/lib/nginx
+chown -R nobody /var/tmp/nginx/
chown -R nobody /var/www
chown -R nobody /var/dokuwiki-storage
| bash |
d_bash_5350 | ---
+++
@@ -1,12 +1,13 @@
# Find python file
alias pyfind='find . -name "*.py"'
-# Remove python compiled byte-code in either current directory or in a
+# Remove python compiled byte-code and mypy cache in either current directory or in a
# list of specified directories
function pyclean() {
ZSH_PYCLEAN_PLA... | bash |
d_bash_5351 | ---
+++
@@ -18,7 +18,7 @@
mkdir build-dir
fi
-git archive master | tar -x -C build-dir
+git archive HEAD | tar -x -C build-dir
pushd build-dir
| bash |
d_bash_5352 | ---
+++
@@ -2,4 +2,6 @@
set -e
-ansible-galaxy install -f -n -r ../requirements/galaxy-requirements.yml
+REQ_FILENAME=${1:-galaxy-requirements.yml}
+
+ansible-galaxy install -f -n -r ../requirements/$REQ_FILENAME | bash |
d_bash_5353 | ---
+++
@@ -1,6 +1,8 @@
#!/bin/bash
set -e
+
+export OS_ONLY_BUILD_PLATFORMS="linux/amd64"
OS_RELEASE=n hack/build-go.sh
cp _output/local/bin/linux/amd64/openshift images/origin/bin/ | bash |
d_bash_5354 | ---
+++
@@ -10,7 +10,7 @@
exit 0
fi
-SUPPORTED_KUBE_VERSIONS="0.14.1"
+SUPPORTED_KUBE_VERSIONS="0.15.0"
TEST_NAMESPACE="default"
go get github.com/progrium/go-extpoints | bash |
d_bash_5355 | ---
+++
@@ -25,7 +25,7 @@
npx ng build --prod
pushd backend
-find . \( -name \*.go -o -name \*.mod -o -name \*.yaml \) -exec cp --parents {} ../appengine_dist \;
+find . \( -name \*.go -o -name \*.mod -o -name \*.sum -o -name \*.yaml \) -exec cp --parents {} ../appengine_dist \;
popd
mkdir appengine_dist/static... | bash |
d_bash_5356 | ---
+++
@@ -24,7 +24,10 @@
printf "\nRunning tests with WebDriver...\n"
"$ROOT/node_modules/.bin/wdio" "$TEST/wdio.conf.js"
+RESULT=$?
printf "\nKilling background processes..."
kill $(jobs -rp) && wait $(jobs -rp) > /dev/null 2>&1
printf "Done\n"
+
+exit $RESULT | bash |
d_bash_5357 | ---
+++
@@ -3,16 +3,26 @@
DESTINATION="/obnam/destination"
SOURCE="/obnam/source"
+CONFIG="/obnam/config"
+
+OBNAM_OPTS=""
if test -n "$1"; then
DESTINATION=$1
shift
fi
-# TODO check if source is empty
+
if ! test "$(ls -A ${SOURCE})"; then
echo "$SOURCE folder is empty, skipping backup"
... | bash |
d_bash_5358 | ---
+++
@@ -1,4 +1,5 @@
#!/bin/bash
+set -e
bad_selection() {
echo 'Bad GAME selection, please try another one!' | bash |
d_bash_5359 | ---
+++
@@ -7,8 +7,8 @@
source $DIR/config.sh
# Add localhost as a name server, installer needs hostname resolvable
+sudo chattr -i /etc/resolv.conf
sudo sed -i "1inameserver 127.0.0.1" /etc/resolv.conf
-sudo chattr -i /etc/resolv.conf
# Install the IPA server
sudo ipa-server-install -U -r $DOMAIN -p $PASSW... | bash |
d_bash_5360 | ---
+++
@@ -13,6 +13,7 @@
rm -f $chk
awk '/^name:/ {printf "Running %s ", $2}
/^error:$/ {copyon=1; next}
+ /^TODO/ {printf "[DISABLED]"}
/^output:$/ {next}
/^\*\// {copyon=0; next}
copyon==1 {print > "'$chk'"}' $i | bash |
d_bash_5361 | ---
+++
@@ -2,7 +2,7 @@
COMMON_LISP=$1
-$COMMON_LISP --script <<EOF
+LD_LIBRARY_PATH=.libs:$LD_LIBRARY_PATH $COMMON_LISP --script <<EOF
(unless (find-package :quicklisp) | bash |
d_bash_5362 | ---
+++
@@ -1,15 +1,13 @@
#!/bin/bash
echo "==> Adding EPEL repo"
+yum install -y epel-release
+cat /etc/resolv.conf
cat /etc/redhat-release
if grep -q -i "release 7" /etc/redhat-release ; then
- wget http://dl.fedoraproject.org/pub/epel/7/x86_64/e/epel-release-7-5.noarch.rpm
- rpm -Uvh epel-release-7*.rp... | bash |
d_bash_5363 | ---
+++
@@ -24,6 +24,7 @@
nvm
aws-cli
wdiff
+ fzf
)
devent_xorg=( | bash |
d_bash_5364 | ---
+++
@@ -6,7 +6,7 @@
# Install Ruby.
if [[ "$(type -P rbenv)" ]]; then
- versions=(2.1.3 2.0.0-p576 1.9.3-p547)
+ versions=(2.1.3) # 2.0.0-p576 1.9.3-p547)
list="$(to_install "${versions[*]}" "$(rbenv whence ruby)")"
if [[ "$list" ]]; then | bash |
d_bash_5365 | ---
+++
@@ -3,11 +3,26 @@
# Before Apache starts in Docker.
echo "Running before apache script"
-
cd /var/www/html
+# Environment file.
+echo "Creating .env file"
+cp .env.example .env
+
+# Replace database environment variables.
+sed -i "s/database_name/docker/g" .env
+sed -i "s/database_user/root/g" .env
+se... | bash |
d_bash_5366 | ---
+++
@@ -3,6 +3,7 @@
alias bl="bundle list"
alias bu="bundle update"
alias bp="bundle package"
+alias bo="bundle open"
# The following is based on https://github.com/gma/bundler-exec
| bash |
d_bash_5367 | ---
+++
@@ -18,9 +18,11 @@
kubectl delete -f service_jenkins.json
kubectl delete -f service_ssl_proxy.json
+# Delete firewall rules
+gcloud compute firewall-rules delete --quiet ${CLUSTER_NAME}-jenkins-swarm-internal
+gcloud compute firewall-rules delete --quiet ${CLUSTER_NAME}-jenkins-web-public
+
# Delete clus... | bash |
d_bash_5368 | ---
+++
@@ -6,7 +6,6 @@
function doIt() {
rsync --exclude ".git/" \
- --exclude ".gitignore" \
--exclude ".DS_Store" \
--exclude ".osx" \
--exclude "bootstrap.sh" \ | bash |
d_bash_5369 | ---
+++
@@ -7,11 +7,19 @@
# n98-magerun basic command completion
_n98_magerun_get_command_list () {
- n98-magerun.phar --no-ansi | sed "1,/Available commands/d" | awk '/^ +[a-z\-:]+/ { print $1 }'
+ $_comp_command1 --no-ansi | sed "1,/Available commands/d" | awk '/^ +[a-z\-:]+/ { print $1 }'
}
+
_n98_mageru... | bash |
d_bash_5370 | ---
+++
@@ -6,14 +6,19 @@
source $base_dir/lib/prelude_apply.bash
source $base_dir/lib/prelude_bosh.bash
-mkdir -p $chroot/tmp
+if [ "${DISTRIB_CODENAME}" == "lucid" ]
+then
+ mkdir -p $chroot/tmp
-cp $assets_dir/*.deb $chroot/tmp/
+ cp $assets_dir/*.deb $chroot/tmp/
-pkg_mgr install wireless-crda
+ pkg_mg... | bash |
d_bash_5371 | ---
+++
@@ -3,6 +3,8 @@
srcdir=`dirname $0`
test -z "$srcdir" && srcdir=.
+
+cd $srcdir
PKG_NAME="evolution-data-server"
REQUIRED_AUTOCONF_VERSION=2.58 | bash |
d_bash_5372 | ---
+++
@@ -20,9 +20,6 @@
if [ -z "${IS_REPORTS_CONTAINER:-}" ]; then
log Migrating
SKIP_REQUIRED_AUTH_GROUPS=true python manage.py migrate --noinput
-
- log Creating cache table
- SKIP_REQUIRED_AUTH_GROUPS=true python manage.py createcachetable || true
fi
if [ -z "${IS_REPORTS_CONTAINER:-}" ]; then | bash |
d_bash_5373 | ---
+++
@@ -4,12 +4,13 @@
function clone_or_fetch {
GIT_REPO="$1"
+ GIT_BRANCH="$2"
GIT_REPO_ARR=(${GIT_REPO//\// })
if [ ! -d "${GIT_REPO_ARR[1]}" ]; then
- git clone --depth=1 https://github.com/"$GIT_REPO"
+ git clone -b "${GIT_BRANCH}" --depth=1 https://github.com/"$GIT_REPO"
else
git -C "${GIT_RE... | bash |
d_bash_5374 | ---
+++
@@ -14,7 +14,7 @@
# limitations under the License.
# Generates the impala version and build information.
-VERSION=1.1
+VERSION=1.0.1
GIT_HASH=$(git rev-parse HEAD)
BUILD_TIME=`date`
HEADER="# Generated version information from save-version.sh" | bash |
d_bash_5375 | ---
+++
@@ -5,7 +5,7 @@
apt install docker.io curl
echo "Adding current user to 'docker' group, log out and in again for this to take effect. You'll then be able to run docker commands without sudo."
adduser $USER docker
-dockerComposeVersion=1.15.0
+dockerComposeVersion=1.23.2
# https://stackoverflow.com/a/42273... | bash |
d_bash_5376 | ---
+++
@@ -11,6 +11,6 @@
run aclocal $aclocal_opts \
&& run autoheader \
- && run automake --force-missing --add-missing --copy \
+ && run automake --add-missing --copy \
&& run libtoolize --copy --ltdl --automake \
&& run autoconf | bash |
d_bash_5377 | ---
+++
@@ -2,15 +2,15 @@
rm -rf old
rm -f android.zip
rm -f ios.zip
-rm -rf calabash-android-master
-rm -rf calabash-ios-master
+rm -rf calabash-android-united
+rm -rf calabash-ios-united
echo "Downloading android files"
-curl --silent -L -o master.zip https://codeload.github.com/calabash/calabash-android/zip/... | bash |
d_bash_5378 | ---
+++
@@ -8,7 +8,7 @@
packages=$(echo "$packages" | sed '/consul/d')
# Install the AWS SDK which is explicitly not vendored
-go get -u github.com/aws/aws-sdk-go
+go get -u -v github.com/aws/aws-sdk-go/...
# Test all packages which are allowed on all Go versions
go test $packages
@@ -21,7 +21,7 @@
[[ "$g... | bash |
d_bash_5379 | ---
+++
@@ -1,6 +1,7 @@
#!/bin/bash
-NODE_VERSION=12
+# Install latest LTS by default
+NODE_VERSION="${1:-lts/*}"
if [ -d ~/.nvm ]; then
# Upgrade
@@ -11,8 +12,8 @@
fi
. ~/.nvm/nvm.sh
-nvm install ${NODE_VERSION}
-nvm alias default ${NODE_VERSION}
+nvm install "${NODE_VERSION}"
+nvm alias default "${NODE... | bash |
d_bash_5380 | ---
+++
@@ -20,7 +20,7 @@
install4jc -b $BUILD_ID -r $VERSION ./install/lantern.install4j || die "Could not build Linux installer?"
git=`git rev-parse --verify lantern-$VERSION^{commit} | cut -c1-7`
-name=lantern-$VERSION-$ARCH-bit-$git.deb
+name=lantern-$VERSION-$git-$ARCH-bit.deb
mv install/lantern*$ARCH*.deb ... | bash |
d_bash_5381 | ---
+++
@@ -1,5 +1,6 @@
# Set RubyGems's GEM_HOME to $HOME/.gem
# This file is managed by Puppet.
#
-mkdir -p ~/.gem
-export GEM_HOME=~/.gem
+mkdir -p /home/vagrant/.gem
+export GEM_HOME=/home/vagrant/.gem
+export PATH=$PATH:$GEM_HOME/bin | bash |
d_bash_5382 | ---
+++
@@ -3,3 +3,4 @@
echo "installing ruby gems"
gem install nanoc
+gem install adsf | bash |
d_bash_5383 | ---
+++
@@ -1,4 +1,4 @@
#!/bin/bash
-gcc -Wall -O0 -g3 -I./include src/cuckoo_filter.c tests/cuckootest.c -o test
-gcc -Wall -O0 -g3 -I./include src/cuckoo_filter.c tests/cuckootest2.c -o test2
+gcc -Wall -std=c99 -fsanitize=address -O2 -g3 -I./include src/cuckoo_filter.c tests/cuckootest.c -o test
+gcc -Wall -std=c... | bash |
d_bash_5384 | ---
+++
@@ -1 +1 @@
-mono /Applications/Visual\ Studio\ 2019.app/Contents/Resources/lib/monodevelop/bin/vstool.exe setup pack bin/MonoDevelop.PackageManagement.Extensions.dll
+"/Applications/Visual Studio.app/Contents/MacOS/vstool" setup pack $PWD/bin/MonoDevelop.PackageManagement.Extensions.dll -d:$PWD | bash |
d_bash_5385 | ---
+++
@@ -24,3 +24,4 @@
echo "Unsupported Node Type for $0: $node_type"
exit 1;
fi
+ | bash |
d_bash_5386 | ---
+++
@@ -3,4 +3,4 @@
apt-add-repository -y ppa:ansible/ansible
apt-get update
apt-get install -y ansible
-ansible-galaxy install -r /tmp/ansible/requirements.yml
+ansible-galaxy install -r /tmp/requirements.yml | bash |
d_bash_5387 | ---
+++
@@ -14,22 +14,10 @@
make install
cd ..
-mkdir -p win32
-cd win32
-cmake ../.. -DTARGET_SUFFIX="win32" -DCMAKE_TOOLCHAIN_FILE=../../cmake/win32.cmake -DCMAKE_BUILD_TYPE=Release -DCMAKE_INSTALL_PREFIX=../${INSTALL_DIR}
-make install
-cd ..
-
mkdir -p linux64
cd linux64
cmake ../.. -DTARGET_SUFFIX="linux6... | bash |
d_bash_5388 | ---
+++
@@ -4,7 +4,7 @@
if [ "$TRAVIS_PHP_VERSION" != "hhvm" ] && [ "\$(php --re libevent | grep 'does not exist')" != "" ]; then
wget http://pecl.php.net/get/libevent-0.0.5.tgz;
tar -xzf libevent-0.0.5.tgz;
- cd libevent-0.0.5 && phpize && ./configure && make && sudo make install;
+ cd libevent-0.0... | bash |
d_bash_5389 | ---
+++
@@ -4,6 +4,11 @@
echo "Basing from $BASEDIR"
set -e
+
+pushd $BASEDIR/../lib >> /dev/null
+echo "Building all dependencies from $(pwd)..."
+swift build
+popd >> /dev/null
pushd $BASEDIR/../servers/content >> /dev/null
echo "Building content-server from $(pwd)..." | bash |
d_bash_5390 | ---
+++
@@ -16,9 +16,9 @@
fi
# export grep settings
-export GREP_OPTIONS="$GREP_OPTIONS"
-export GREP_COLOR='1;32'
+alias grep="grep $GREP_OPTIONS"
# clean up
+unset GREP_OPTIONS
unset VCS_FOLDERS
unfunction grep-flag-available | bash |
d_bash_5391 | ---
+++
@@ -14,7 +14,7 @@
cd ${SOURCE_DIR}
sh ./bootstrap.sh java
-mvn install --no-snapshot-updates --batch-mode --threads ${NUM_THREADS}
+mvn -V install --no-snapshot-updates --batch-mode --threads ${NUM_THREADS}
bash ${SOURCE_DIR}/bootstrap-cmake.sh ${SOURCE_DIR}
make -j ${NUM_THREADS}
ctest3 --output-on-fa... | bash |
d_bash_5392 | ---
+++
@@ -10,7 +10,7 @@
# Install dart_coveralls
# Rerun tests with coverage and send to coveralls
if [ "$COVERALLS_TOKEN" ]; then
- pub global activate dart_coveralls
+ pub global activate dart_coveralls 0.1.11
pub global run dart_coveralls report \
--token $COVERALLS_TOKEN \
--retry 2 \ | bash |
d_bash_5393 | ---
+++
@@ -1,9 +1,9 @@
#!/bin/sh
UPSTREAM=${1:-'@{u}'}
-LOCAL=$(git rev-parse @)
+LOCAL=$(git rev-parse @{0})
REMOTE=$(git rev-parse "$UPSTREAM")
-BASE=$(git merge-base @ "$UPSTREAM")
+BASE=$(git merge-base @{0} "$UPSTREAM")
if [ $LOCAL = $REMOTE ]; then
echo "Up-to-date" | bash |
d_bash_5394 | ---
+++
@@ -12,7 +12,7 @@
scp -i ~/.ssh/pythoncharmers_2015.pem /shared/python-future-html-docs.zip python-future.org:
scp -i ~/.ssh/pythoncharmers_2015.pem /shared/cheatsheet.pdf python-future.org:
-ssh python-future.org
+ssh -i ~/.ssh/pythoncharmers_2015.pem python-future.org
On the remote machine: | bash |
d_bash_5395 | ---
+++
@@ -3,7 +3,7 @@
set -eo pipefail
main() {
- local filename="shellcheck_0.3.7-5_amd64.deb"
+ local filename="shellcheck_0.4.4-3_amd64.deb"
wget "http://ftp.debian.org/debian/pool/main/s/shellcheck/$filename"
sudo dpkg -i "$filename"
} | bash |
d_bash_5396 | ---
+++
@@ -29,10 +29,3 @@
npm install
./node_modules/.bin/gulp test:node
-
-nvm install 0.12
-
-rm -rf node_modules
-npm install
-
-./node_modules/.bin/gulp test:node | bash |
d_bash_5397 | ---
+++
@@ -13,6 +13,8 @@
log 'Sleeping for 10 seconds...'
sleep 10
+utils.lxc.attach yum update -y
+
# TODO: Support for appending to this list from outside
PACKAGES=(vim curl wget man-db bash-completion python-software-properties ca-certificates sudo nfs-common)
utils.lxc.attach yum install install ${PACKAGE... | bash |
d_bash_5398 | ---
+++
@@ -22,7 +22,7 @@
log "Installing Ruby and ruby gems"
. ${HOME}/.rvm/scripts/rvm
-rvm use --default --install 2.1
+rvm use --default --install 2.4
if type toilet >/dev/null 2>&1; then
toilet -f pagga -F border --gay All Done! | bash |
d_bash_5399 | ---
+++
@@ -3,6 +3,11 @@
cd `dirname $0`
path=`curl -s http://www.bing.com | grep -m1 -oP 'url:\s*("[^"]+")' | cut -d: -f2 | jq '.' | tr -d '"'`
+if [ -z "$path" ]; then
+ echo "Unable to find wallpaper URL, exiting."
+ exit 1
+fi
+
url=http://www.bing.com$path
file=`echo $url | rev | cut -d/ -f1 | rev`
@@ ... | bash |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.